This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 170903 - KOffice needs an upgrade (version 1.4.2, including security fix and bugfixes)
KOffice needs an upgrade (version 1.4.2, including security fix and bugfixes)
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: koffice (Show other bugs)
4
All Linux
high Severity medium
: ---
: ---
Assigned To: Andreas Bierfert
Fedora Extras Quality Assurance
http://www.redhat.com/archives/fedora...
: Security
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-10-15 07:18 EDT by Kevin Kofler
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-10-17 05:12:05 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Kevin Kofler 2005-10-15 07:18:05 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 5.5; Windows 98; Win 9x 4.90; H010818)

Description of problem:
A new version of KOffice has been released (version 1.4.2), including at least one security fix, as well as several bugfixes. See:
http://dot.kde.org/1129013255/
http://www.koffice.org/announcements/announce-1.4.2.php
http://www.redhat.com/archives/fedora-announce-list/2005-October/msg00042.html
https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=169486
CAN-2005-2971

Version-Release number of selected component (if applicable):
koffice-suite-1.4.1-5.fc4

How reproducible:
Didn't try

Steps to Reproduce:
For the security bug, quoting from Bug 169486:
Demo RTF: http://scary.beasts.org/misc/out27.rtf
(Simple RTF fuzz test suite at http://scary.beasts.org/misc/badrtfs.tar.bz2)

Additional info:
Comment 1 Andreas Bierfert 2005-10-15 07:59:30 EDT
Thanks, I am already working on this (see cvs checkins for koffice-langpack).
Will push this asap.
Comment 2 Andreas Bierfert 2005-10-17 02:57:38 EDT
Ok upgrade for devel has been build and should hit repos soon. FC4 build on
x86_64 failed yesterday with a strange gcc problem. Will have to look into that.
Comment 3 Andreas Bierfert 2005-10-17 05:12:05 EDT
ok fc4 build worked on 3rd try... closing

Note You need to log in before you can comment on or make changes to this bug.